Skip to main content
`Ctrl`+`K`

# NEPVectorsView

Outputs computed eigenvectors to a viewer.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPVectorsView(NEP nep,PetscViewer viewer)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- viewer - the viewer

## Options Database Key

- -nep_view_vectors - output eigenvectors

## Notes

If PETSc was configured with real scalars, complex conjugate eigenvectors will be viewed as two separate real vectors, one containing the real part and another one containing the imaginary part.

If left eigenvectors were computed with a two-sided eigensolver, the right and left eigenvectors are interleaved, that is, the vectors are output in the following order: `X0, Y0, X1, Y1, X2, Y2, ...`

The command-line option listed above admits an optional argument specifying the viewer type and options. For instance, use `-nep_view_vectors binary:evecs.bin` to save the vectors in a binary file. See `PetscObjectViewFromOptions()` for more details.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSolve()`, `NEPValuesView()`, `NEPErrorView()`

## Level

intermediate

## Location

src/nep/interface/nepview.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages